import {Component, EventEmitter, OnInit, Output, ViewChild} from '@angular/core';
import {AlarmService} from '../../alarm/alarm.service';
import {pageSize} from '../../app.constants';
import {NzMessageService} from 'ng-zorro-antd';
import {SendLogComponent} from '../../alarm/modal/send-log/send-log.component';

@Component({
    selector: 'smart-warn-list',
    templateUrl: './warn-list.component.html',
    styles: [
        ` .list-icon{
            font-size: 20px;
            text-align: center;
            color: #8cb6ce;
        }
        `
    ]
})
export class WarnListComponent implements OnInit {
@ViewChild('sendLog') sendLog:SendLogComponent;
@Output() total = new EventEmitter<any>();

    warnList = [];
    obj;
    pageNum = 1;
    pageCount = pageSize;
    totalNum;
    loading = false;
    constructor(public alarmSer:AlarmService,public message:NzMessageService) {
    }

    ngOnInit() {
        // this.getList();
    }

    getList(obj) {
        this.obj = obj;
        this.loading = true;
        const data = {
            pageNum: this.pageNum,
            pageCount: this.pageCount,
            obj:obj
        };
        this.alarmSer.eventFind(data).subscribe(
            (res) => {
                if(res.errCode == 10000){
                    this.warnList = res.data.data;
                    this.totalNum = res.data.totalNum;
                    this.total.emit(this.totalNum);
                }else{
                    this.message.info(res.errMsg);
                }
                this.loading = false;
            }
        );
    }

    change(e){
        this.pageNum = e;
        this.getList(this.obj);
    }

    showLog(data){
        this.sendLog.showModal(data);
    }
}
